

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _ATreeFilter_2(OBJ,OBJ);extern OBJ __ATreeFilter_2;
extern OBJ _ATreeFilter_3(OBJ,OBJ);extern OBJ __ATreeFilter_3;
extern OBJ _ATreeFilter_4(OBJ,OBJ);extern OBJ __ATreeFilter_4;
extern OBJ _AHeapFilter_3(OBJ,OBJ,OBJ);OBJ __AHeapFilter_3; /* take */
extern OBJ _AHeapFilter_4(OBJ,OBJ,OBJ);OBJ __AHeapFilter_4; /* drop */
extern OBJ _AHeapFilter_5(OBJ,OBJ,OBJ);OBJ __AHeapFilter_5; /* dropall */

extern OBJ _AHeapFilter_3(OBJ x1,OBJ x2,OBJ x3) /* take */
{OBJ r;
 FRCLS(x1,1);
 r=_ATreeFilter_2(x2,x3);
 return r;}

extern OBJ _AHeapFilter_4(OBJ x1,OBJ x2,OBJ x3) /* drop */
{OBJ r;
 FRCLS(x1,1);
 r=_ATreeFilter_3(x2,x3);
 return r;}

extern OBJ _AHeapFilter_5(OBJ x1,OBJ x2,OBJ x3) /* dropall */
{OBJ r;
 FRCLS(x1,1);
 r=_ATreeFilter_4(x2,x3);
 return r;}

init_AHeapFilter()
{
 static int visited=0; if(visited) return; visited=1;
 init_AHeap();
 init_ANat();
 init_AOption();
 init_ASeq();
 init_ATree();
 init_ATreeFilter();
 init_ARelCmp();
 CLS(3,_AHeapFilter_5,__AHeapFilter_5);
 CLS(3,_AHeapFilter_4,__AHeapFilter_4);
 CLS(3,_AHeapFilter_3,__AHeapFilter_3);}

